import React from 'react';
import { shallow } from 'enzyme';
import Checkbox from '../Checkbox';
import { FieldCheckboxes } from '..';
var _global = global,
    testUtils = _global.testUtils;
var props = {
  input: testUtils.getInputProp(),
  meta: testUtils.getMetaProp(),
  label: 'test label',
  variant: null,
  options: [{
    value: 'v1',
    label: 'l1'
  }, {
    value: 'v2',
    label: 'l2'
  }],
  disabled: false
};
var wrapper;
describe('FieldCheckboxes', function () {
  beforeEach(function () {
    wrapper = shallow(React.createElement(FieldCheckboxes, props));
  });
  it('should render correctly', function () {
    expect(wrapper).toMatchSnapshot();
  });
  it('should render all the options as `Checkbox`s', function () {
    expect(wrapper.find(Checkbox).length).toBe(props.options.length);
  });
});